# Constant Field Values

## org.apache.*

org.apache.felix.main.AutoProcessor
Modifier and Type
Constant Field
Value
`public static final String`
`AUTO_DEPLOY_ACTION_PROPERTY`
`"felix.auto.deploy.action"`
`public static final String`
`AUTO_DEPLOY_ACTION_PROPERY`
`"felix.auto.deploy.action"`
`public static final String`
`AUTO_DEPLOY_DIR_PROPERTY`
`"felix.auto.deploy.dir"`
`public static final String`
`AUTO_DEPLOY_DIR_PROPERY`
`"felix.auto.deploy.dir"`
`public static final String`
`AUTO_DEPLOY_DIR_VALUE`
`"bundle"`
`public static final String`
`AUTO_DEPLOY_INSTALL_VALUE`
`"install"`
`public static final String`
`AUTO_DEPLOY_START_VALUE`
`"start"`
`public static final String`
`AUTO_DEPLOY_STARTLEVEL_PROPERTY`
`"felix.auto.deploy.startlevel"`
`public static final String`
`AUTO_DEPLOY_STARTLEVEL_PROPERY`
`"felix.auto.deploy.startlevel"`
`public static final String`
`AUTO_DEPLOY_UNINSTALL_VALUE`
`"uninstall"`
`public static final String`
`AUTO_DEPLOY_UPDATE_VALUE`
`"update"`
`public static final String`
`AUTO_INSTALL_PROP`
`"felix.auto.install"`
`public static final String`
`AUTO_START_PROP`
`"felix.auto.start"`
org.apache.felix.main.Main
Modifier and Type
Constant Field
Value
`public static final String`
`BUNDLE_DIR_SWITCH`
`"-b"`
`public static final String`
`CONFIG_DIRECTORY`
`"conf"`
`public static final String`
`CONFIG_PROPERTIES_FILE_VALUE`
`"config.properties"`
`public static final String`
`CONFIG_PROPERTIES_PROP`
`"felix.config.properties"`
`public static final String`
`SHUTDOWN_HOOK_PROP`
`"felix.shutdown.hook"`
`public static final String`
`SYSTEM_PROPERTIES_FILE_VALUE`
`"system.properties"`
`public static final String`
`SYSTEM_PROPERTIES_PROP`
`"felix.system.properties"`